package com.rjconsultores.ventaboletos.utilerias.exportacaofiscal.vo;

import java.math.BigDecimal;

public class ExportacaoECFTipoCFC {
	private String estabelecimento;
	private String dataEmissao; 
	private String numeroIdentificacaoECF;
	private Integer cooReducaoZ;
	private Integer cooInicial;
	private Integer cooFinal;
	private Integer contadorReducao;
	private Integer cro;
	private BigDecimal valorTotal;
	private BigDecimal valorIsentas;
	private String estabelecimentoECF;
	private String ecf;
	private String numeroSerie;
	private String infoPadraoBilhetePassagem;
	
	public ExportacaoECFTipoCFC() {
		
	}

	public String getEstabelecimento() {
		return estabelecimento;
	}

	public void setEstabelecimento(String estabelecimento) {
		this.estabelecimento = estabelecimento;
	}

	public String getDataEmissao() {
		return dataEmissao;
	}

	public void setDataEmissao(String dataEmissao) {
		this.dataEmissao = dataEmissao;
	}

	public String getNumeroIdentificacaoECF() {
		return numeroIdentificacaoECF;
	}

	public void setNumeroIdentificacaoECF(String numeroIdentificacaoECF) {
		this.numeroIdentificacaoECF = numeroIdentificacaoECF;
	}

	public Integer getCooReducaoZ() {
		return cooReducaoZ;
	}

	public void setCooReducaoZ(Integer cooReducaoZ) {
		this.cooReducaoZ = cooReducaoZ;
	}

	public Integer getCooInicial() {
		return cooInicial;
	}

	public void setCooInicial(Integer cooInicial) {
		this.cooInicial = cooInicial;
	}

	public Integer getCooFinal() {
		return cooFinal;
	}

	public void setCooFinal(Integer cooFinal) {
		this.cooFinal = cooFinal;
	}

	public Integer getContadorReducao() {
		return contadorReducao;
	}

	public void setContadorReducao(Integer contadorReducao) {
		this.contadorReducao = contadorReducao;
	}

	public Integer getCro() {
		return cro;
	}

	public void setCro(Integer cro) {
		this.cro = cro;
	}

	public BigDecimal getValorTotal() {
		return valorTotal;
	}

	public void setValorTotal(BigDecimal valorTotal) {
		this.valorTotal = valorTotal;
	}

	public BigDecimal getValorIsentas() {
		return valorIsentas;
	}

	public void setValorIsentas(BigDecimal valorIsentas) {
		this.valorIsentas = valorIsentas;
	}

	public String getEstabelecimentoECF() {
		return estabelecimentoECF;
	}

	public void setEstabelecimentoECF(String estabelecimentoECF) {
		this.estabelecimentoECF = estabelecimentoECF;
	}

	public String getEcf() {
		return ecf;
	}

	public void setEcf(String ecf) {
		this.ecf = ecf;
	}

	public String getNumeroSerie() {
		return numeroSerie;
	}

	public void setNumeroSerie(String numeroSerie) {
		this.numeroSerie = numeroSerie;
	}

	public String getInfoPadraoBilhetePassagem() {
		return infoPadraoBilhetePassagem;
	}

	public void setInfoPadraoBilhetePassagem(String infoPadraoBilhetePassagem) {
		this.infoPadraoBilhetePassagem = infoPadraoBilhetePassagem;
	}

	@Override
	public String toString() {
		return "ExportacaoECFTipoCFC [estabelecimento=" + estabelecimento + ", dataEmissao=" + dataEmissao + ", numeroIdentificacaoECF=" + numeroIdentificacaoECF + ", cooReducaoZ=" + cooReducaoZ + ", cooInicial=" + cooInicial + ", cooFinal=" + cooFinal + ", contadorReducao=" + contadorReducao + ", cro=" + cro + ", valorTotal=" + valorTotal + ", valorIsentas=" + valorIsentas + ", estabelecimentoECF=" + estabelecimentoECF + ", ecf=" + ecf + ", numeroSerie=" + numeroSerie + ", infoPadraoBilhetePassagem=" + infoPadraoBilhetePassagem + "]";
	}
}
